local ButtonInterface = FlexBar2.OO.Interface 
{
	-- The following methods are declared in FlexBar2's Control mixin, these should never be touched. A theme is suposed to comply to flexbar and NOT the reverse. (usualy, as long as you use the same naming sheme as the flexbar theme there should be no problems at all.)

	Show = "function",
	Hide = "function",

	Lock = "function",
	Unlock = "function",

	LockIcon = "function",
	UnlockIcon = "function",

	LoadSettings = "function",

	SetPosition = "function",

	SetScale = "function",


	-- Custom functions (yes I know they have the same name as the AceEvent ones, thats the point) that act like a custom event interface, declared in the controller
	RegisterEvent = "function",
	UnregisterEvent = "function",
	--UnregisterAllEvents = "function",
}

FlexBar2:RegisterHandler(ButtonInterface);
